// ==========================================================
//     开发人员：Tony(绿光光)
//     修    改：轻浮（www.metoosm.com）
//     编写时间：2005-6-30
//     文件名称：Plus_pet_Load.js
//     参数说明：	user:	帖子作者
//				obj:	SPAN标签
//				s:		控制标签
//				style:	效果选择
//     功能说明：JS异步刷新帖间调用宠物资料
// ==========================================================
var style = 2;	//可以设置1(带边框)、2(无边框)

var m_obj,m_s,style;

function draw(obj,s)
{
	m_obj = obj;
	m_s = s;
   if(obj.style.display=='none')
   {
    obj.style.display='block';
    s.innerHTML='[<font color=red>隐藏宠物资料</font>]';
	if (obj.innerText=="")
	{
		obj.innerText="    正在加载……";
		Pet_loadXML();
	}
   }
   else
   {
    obj.style.display='none';
    s.innerHTML='[<font color=blue>显示宠物资料</font>]';
   }
}

function Pet_loadXML(){
	pet_xml = new ActiveXObject("Microsoft.XMLDOM");
	pet_xml.async=true;
	pet_xml.onreadystatechange = petGetReady;
   	pet_xml.load("YD_pet_Load.asp?user=" + m_s.user + "&style=" + style);
}

function petGetReady(){
	if(pet_xml.readyState==4){
    		if(pet_xml.parseError.errorCode==0)
    		{	
				var showpet = pet_xml.documentElement.selectNodes("pet")(0).text;
				showpet = showpet.replace(/{/g,"<");
				showpet = showpet.replace(/}/g,">");
				m_obj.innerHTML = showpet;
    		}
//			else
//				alert(pet_xml.parseError.reason);
			delete(pet_xml);
    	}
}
